Package org.apache.lucene.index

# Class CheckIndex.Status.FieldInfoStatus

java.lang.Object
org.apache.lucene.index.CheckIndex.Status.FieldInfoStatus

Enclosing class:
  `CheckIndex.Status`

public static final class CheckIndex.Status.FieldInfoStatus extends Object
Status from testing field infos.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Throwable`
  `error`
  Exception thrown during term index test (null on success)
  `long`
  `totFields`
  Number of fields successfully tested

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### totFields

    public long totFields
    Number of fields successfully tested

  - ### error

    public Throwable error
    Exception thrown during term index test (null on success)